SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000454: HTTP-Proxy Language of error messages lässt sich nicht ändern - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000454Endian FirewallApplication Level Proxiespublic2008-01-13 15:252008-02-02 07:28
Reporterneobiker 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta2 
Target VersionFixed in Version2.2-beta3 
Summary0000454: HTTP-Proxy Language of error messages lässt sich nicht ändern
DescriptionEs wird in der GUI immer wieder "English" angezeigt.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000805)
neobiker (reporter)
2008-01-13 16:24

Die anderen Werte lassen sich auch nicht ändern. Es betrifft also nicht nur die Sprache (English), sondern auch Cache-Werte etc. Es ist keine Änderung möglich.
(0000806)
simon-endian (developer)
2008-01-13 16:37

Das mit der Sprache kann ich bestätigen.

Inwiefern lasschen sich die Cache Werte nicht verändern? Werden sie nicht gespeichert (GUI) oder nicht in die /etc/squid/squid.conf übernommen?
(0000807)
neobiker (reporter)
2008-01-13 16:46

So wie's aussieht: weder noch :-(
In der GUI ändert sich nix, und im squid.conf auch nicht.
In Squid.conf steht z.B.
cache_mem 20MB
und in der GUI bleibt 40MB stehen, obwohl ich z.B. 10MB eingebe.

Auch startet der Proxy bei mir schinebar nicht...
(0000808)
simon-endian (developer)
2008-01-13 16:53

kannst du mal versuchen den restartsquid.py --debug aufzurufen und mir den output zu posten?

hast du eine frische installation der 2.2 beta2 oder hast du upgegraded und wie hast du sie konfiguriert, per hand oder mit Hilfe eines backups? damit ich versuchen kann den fehler zu reprodzuieren.
(0000809)
neobiker (reporter)
2008-01-13 16:57

Habe EFW 2.2 B2 frisch installiert, dann eine Konfig-Backup der EFW 2.1 eingespielt. Da gab's u.a. Probleme mit IPSEC. Dann habe ich ein "Factory Reset" ausgeführt. Seitdem geht jetzt IPSEC zumindest :-)

Jetzt starte ich zum erstenmal nach dem Reset die Konfiguration und wollte den Squid anschalten, aber der startet nicht:

restartsquid.py --debug
2008-01-13 17:55:35,116 - endian.logger - DEBUG - sync from old
2008-01-13 17:55:35,119 - endian.logger - DEBUG - backup old settings
mkdir: cannot create directory `/var/efw/proxy/old': File exists
mv: cannot overwrite directory `/var/efw/proxy/old/advanced'
mv: cannot stat `/var/efw/proxy/settings': No such file or directory
mv: cannot stat `/var/efw/proxy/version': No such file or directory
2008-01-13 17:55:35,179 - endian.logger - DEBUG - copy old proxy settings
cp: cannot stat `/var/efw/proxy/old/advanced/settings': No such file or directory
cp: cannot stat `/var/efw/proxy/old/advanced/useragents': No such file or directory
2008-01-13 17:55:35,220 - endian.logger - DEBUG - create auth settings
mkdir: cannot create directory `/var/efw/proxy/auth': File exists
2008-01-13 17:55:35,268 - endian.logger - DEBUG - create default profile
mkdir: cannot create directory `/var/efw/proxy/profiles/default': File exists
mkdir: cannot create directory `/var/efw/proxy/profiles/default/acls': File exists
2008-01-13 17:55:35,297 - endian.logger - DEBUG - create profiles
cp: cannot stat `/var/efw/proxy/old/advanced/settings': No such file or directory
cp: cannot stat `/var/efw/proxy/old/advanced/mimetypes': No such file or directory
Traceback (most recent call last):
  File "/usr/local/bin/restartsquid.py", line 1327, in ?
    sync_from_old()
  File "/usr/local/bin/restartsquid.py", line 1232, in sync_from_old
    create_default_profile(sync=True)
  File "/usr/local/bin/restartsquid.py", line 1103, in create_default_profile
    if old_settings['TIME_ACCESS_MODE'] == "deny":
NameError: global name 'old_settings' is not defined
(0000810)
simon-endian (developer)
2008-01-13 17:08

ok, da kommen wir der sache schon näher.
scheint ein problem bei der migration von den alten settings zu haben

die einfachste lösung ist, dass du /var/efw/proxy/old und /var/efw/proxy/advanced löscht (evt. davor sicherst). dabei gehen allerdings alle alten proxy settings verloren, wenn das egal ist dann würd ich das machen. danach einfach restartsquid.py --debug aufrufen und neue settings in der gui erstellen.

wenn dir das nicht egal ist, kannst du probieren /var/efw/proxy/old zu löschen und dann restartsquid.py --debug aufzurufen. ich denke, dass das einzige problem ist, dass bereits das verzeichnis da ist. wenn das nicht funktioniert, dann schick mir bitte nochmal den output.

viel erfolg simon
(0000811)
neobiker (reporter)
2008-01-13 17:58

root@efw22b2-ep:/var/efw/proxy # mv old old.bak
root@efw22b2-ep:/var/efw/proxy # restartsquid.py --debug
2008-01-13 18:56:15,811 - endian.logger - DEBUG - sync from old
2008-01-13 18:56:15,814 - endian.logger - DEBUG - backup old settings
mv: cannot stat `/var/efw/proxy/settings': No such file or directory
mv: cannot stat `/var/efw/proxy/version': No such file or directory
2008-01-13 18:56:15,870 - endian.logger - DEBUG - copy old proxy settings
cp: cannot stat `/var/efw/proxy/old/advanced/settings': No such file or director y
cp: cannot stat `/var/efw/proxy/old/advanced/useragents': No such file or direct ory
2008-01-13 18:56:15,932 - endian.logger - DEBUG - create auth settings
mkdir: cannot create directory `/var/efw/proxy/auth': File exists
2008-01-13 18:56:15,979 - endian.logger - DEBUG - create default profile
mkdir: cannot create directory `/var/efw/proxy/profiles/default': File exists
mkdir: cannot create directory `/var/efw/proxy/profiles/default/acls': File exis ts
2008-01-13 18:56:16,009 - endian.logger - DEBUG - create profiles
cp: cannot stat `/var/efw/proxy/old/advanced/settings': No such file or director y
cp: cannot stat `/var/efw/proxy/old/advanced/mimetypes': No such file or directo ry
Traceback (most recent call last):
  File "/usr/local/bin/restartsquid.py", line 1327, in ?
    sync_from_old()
  File "/usr/local/bin/restartsquid.py", line 1232, in sync_from_old
    create_default_profile(sync=True)
  File "/usr/local/bin/restartsquid.py", line 1103, in create_default_profile
    if old_settings['TIME_ACCESS_MODE'] == "deny":
NameError: global name 'old_settings' is not defined
(0000812)
neobiker (reporter)
2008-01-13 18:01
edited on: 2008-01-13 18:02

So, habe jetzt in der GUI speichern können, jetzt ist squid gestartet...
root@efw22b2-ep:/var/efw/proxy # restartsquid.py --debug
2008-01-13 19:01:21,139 - endian.logger - DEBUG - sync from old
2008-01-13 19:01:21,150 - endian.logger - DEBUG - Set owner
2008-01-13 19:01:21,280 - endian.logger - DEBUG - Actualize subnets
2008-01-13 19:01:21,283 - endian.logger - DEBUG - Stop Squid
2008-01-13 19:01:21,478 - endian.logger - DEBUG - Remove squid iptables rules
2008-01-13 19:01:23,680 - endian.logger - DEBUG - Start proxy
2008-01-13 19:01:23,682 - endian.logger - DEBUG - Write squid config
2008-01-13 19:01:25,828 - endian.logger - DEBUG - Reload auth
2008-01-13 19:01:25,829 - endian.logger - DEBUG - write firewall conf
2008-01-13 19:01:25,877 - endian.logger - DEBUG - write cachemgr conf
Starting squid: . [ OK ]
2008-01-13 19:01:27,061 - endian.logger - DEBUG - Install proxy iptables rules
2008-01-13 19:01:27,062 - endian.logger - DEBUG - Install proxy iptables bypass rules
2008-01-13 19:01:27,440 - endian.logger - DEBUG - Restart dansguardian
2008-01-13 19:01:27,512 - endian.logger - DEBUG - Restart sarg

(0000813)
simon-endian (developer)
2008-01-13 19:57

passt. hast du die alten einstellungen in der gui oder nicht?

hast du den advanced ordner auch gelöscht?
bzw. kannst du mir eine auflistung der files in old.bak geben? ich denke das die file advanced/settings bzw. old/advanced/settings nicht vorhanden ist/war und darum der squid die alten settings nicht mehr herstellen konnte.
(0000815)
neobiker (reporter)
2008-01-13 20:12

Hhm, es sieht so aus, als ob die alten Werte in der squid.conf gelandet sind, aber in der GUI nicht. Erst nach umbenennen von old nach old.bak konnte ich in der GUI speichern, anschliessend startete ja dann auch der proxy.

Der advanced ordner liegt ja unterhalb von old, also war der auch weg.

root@efw22b2-ep:/var/efw/proxy # ls -R old.bak/
old.bak/:
advanced settings

old.bak/advanced:
acls ncsa ntlm radius

old.bak/advanced/acls:

old.bak/advanced/ncsa:

old.bak/advanced/ntlm:

old.bak/advanced/radius:
(0000834)
simon-endian (developer)
2008-01-21 18:13

bug in migration old dir did not get deleted + settings filereading hat no failover

- Issue History
Date Modified Username Field Change
2008-01-13 15:25 neobiker New Issue
2008-01-13 16:24 neobiker Note Added: 0000805
2008-01-13 16:35 simon-endian Status new => assigned
2008-01-13 16:35 simon-endian Assigned To => simon-endian
2008-01-13 16:37 simon-endian Note Added: 0000806
2008-01-13 16:46 neobiker Note Added: 0000807
2008-01-13 16:53 simon-endian Note Added: 0000808
2008-01-13 16:57 neobiker Note Added: 0000809
2008-01-13 17:08 simon-endian Note Added: 0000810
2008-01-13 17:58 neobiker Note Added: 0000811
2008-01-13 18:01 neobiker Note Added: 0000812
2008-01-13 18:02 neobiker Note Edited: 0000812
2008-01-13 19:57 simon-endian Note Added: 0000813
2008-01-13 19:57 simon-endian Status assigned => confirmed
2008-01-13 19:58 simon-endian Note View State: 813: private
2008-01-13 19:58 simon-endian Note View State: 813: public
2008-01-13 20:12 neobiker Note Added: 0000815
2008-01-21 18:13 simon-endian Status confirmed => resolved
2008-01-21 18:13 simon-endian Fixed in Version => 2.2-beta3
2008-01-21 18:13 simon-endian Resolution open => fixed
2008-01-21 18:13 simon-endian Note Added: 0000834
2008-02-02 07:28 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker